Operations

Get a project monitor

Returns one monitor only when both the API key and monitor belong to the requested organization and project, and the key includes the monitors:read scope.

GET /organizations/{organizationId}/projects/{projectId}/monitors/{monitorId}

Get a project monitor

curl --request GET \
  --url 'https://api.ansehn.com/v1/organizations/{ORGANIZATIONID}/projects/{PROJECTID}/monitors/{MONITORID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "id": "<string>",
    "projectId": "<string>",
    "name": "<string>",
    "status": "<string>",
    "ansehnsScore": 1,
    "mentionsCount": 1,
    "citationsCount": 1,
    "createdAt": "<date-time>",
    "updatedAt": "<date-time>"
  }
}

The tenant-scoped monitor.

Authorizations

  • Authorization string required header

    Bearer token provided by Ansehn. Send it in the Authorization header using the format: Bearer .

Path Parameters

  • monitorId string required
  • organizationId string required
  • projectId string required

Response

application/json
  • data object
    + Show Child Attributes
    • id string
    • projectId string
    • name string
    • status string
    • ansehnsScore integer
    • mentionsCount integer
    • citationsCount integer
    • createdAt string (date-time)
    • updatedAt string (date-time)